PG_CONTROLDATA(1)

NAME
pg_controldata - display server-wide control information

SYNOPSIS

pg_controldata [ datadir ]

DESCRIPTION

pg_controldata returns information initialized during initdb, such as the catalog version and server locale. It also shows information about write-ahead logging and checkpoint processing. This information is server-wide, and not specific to any one database.

This utility may only be run by the user who installed the server because it requires read access to the datadir. You can specify the data directory on the command line, or use the environment variable PGDATA.

ENVIRONMENT

PGDATA
    Default data directory location